Add a contact identity
Adds an address the contact is reached at and returns the contact.
Adds an address the contact is reached at and returns the contact. Adding an address the contact already has updates whether it is verified. An address another contact holds is a conflict.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^contact_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
channel*"email"
Value in
- "email"
identifier*string
verified?boolean|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/contacts/string/identities" \ -H "Content-Type: application/json" \ -d '{ "channel": "email", "identifier": "string" }'{ "id": "string", "name": "string", "displayName": "string", "avatar": "string", "status": "active", "statusReason": "string", "externalId": "string", "identities": [ { "id": "string", "channel": "email", "identifier": "string", "verified": true } ], "profile": { "firstName": "string", "lastName": "string", "company": "string", "jobTitle": "string", "location": { "country": "string", "state": "string", "city": "string", "timezone": "string" }, "customFields": { "property1": "string", "property2": "string" }, "source": "api" }, "preferences": { "preferredChannels": [ "email" ], "language": "string", "timezone": "string", "notifications": { "email": true, "quiet_hours": { "start": "string", "end": "string" } } }, "tags": [ "string" ], "metadata": {}, "createdAt": "string", "updatedAt": "string"}